Pepvote Support Center

Unapprove Voters

POST
/voting-events/{idOrCode}/voters/unapprove

Authorization

bearerAuth
AuthorizationBearer <token>

A key in the form pepvote_api_ followed by 32 hexadecimal characters.

In: header

Header Parameters

User-Agentstringrequired

Name and version of the calling integration. Required on every request.

Path Parameters

idOrCodestringrequired

Voting event ID or code.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

idsarray<string>required

IDs of the records to act on.

  • Items: 1 to 100 items

Response Body

application/json

curl -X POST "https://example.com/voting-events/string/voters/unapprove" \  -H "User-Agent: my-app/1.0" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "string"    ]  }'
{
  "data": {
    "approvedCount": 0,
    "unapprovedCount": 0,
    "errors": [
      {
        "id": "string",
        "reason": "string"
      }
    ]
  }
}
Was this helpful?

Last updated September 6, 2026